<?php

namespace Modules\Commande\Rules;

use Helpers\Outil\Roles;
use Psr\Http\Message\ServerRequestInterface;

class GareDeTriage
{
    protected ServerRequestInterface $request;
    protected \PDO $pdo;
        
    /**
     * __construct
     *
     * @param  ServerRequestInterface $request
     * @return void
     */
    public function __construct(ServerRequestInterface  $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }
    
    /**
     * init
     *
     * @return bool
     */
    public function init() : bool
    {
        if (Roles::droitsUtilisateur($this->pdo, 'HA_CA_CMV')) {
            return true;
        }
        return false;
    }


    /**
     * @return bool
     */
    public function index(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxDetailLigne(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupCritereRegroup(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxGenerateTooltip(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupPlanning(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function detailProjet(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxGetTypAchat(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxNouveauProjet(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxControleMove(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxChangeProjetDA(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function sessionPannel(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function listBestPrice(): bool
    {
        return true;
    }
}
